VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::access::ConsolecliStub Class Reference

Remote stub implementation of the Consolecli API service. More...

Inherits vmware::appliance::access::Consolecli.

List of all members.

## Public Member Functions
| ConsolecliStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Set (bool enabled)
| Set enabled state of the console-based controlled CLI (TTY1).
void | Set (bool enabled, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set enabled state of the console-based controlled CLI (TTY1).
global::System.Threading.Tasks.Task | SetAsync (bool enabled)
| Set enabled state of the console-based controlled CLI (TTY1).
global::System.Threading.Tasks.Task | SetAsync (bool enabled, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set enabled state of the console-based controlled CLI (TTY1).
bool | Get ()
| Get enabled state of the console-based controlled CLI (TTY1).
bool | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get enabled state of the console-based controlled CLI (TTY1).
global::System.Threading.Tasks.Task < bool > | GetAsync ()
| Get enabled state of the console-based controlled CLI (TTY1).
global::System.Threading.Tasks.Task < bool > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get enabled state of the console-based controlled CLI (TTY1).

## Detailed Description

Remote stub implementation of the Consolecli API service.

## Constructor & Destructor Documentation

vmware::appliance::access::ConsolecliStub::ConsolecliStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

bool vmware::appliance::access::ConsolecliStub::Get | ( |  | ) | `[inline]`

Get enabled state of the console-based controlled CLI (TTY1).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Console-based controlled CLI is enabled.

Implements vmware::appliance::access::Consolecli.

bool vmware::appliance::access::ConsolecliStub::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get enabled state of the console-based controlled CLI (TTY1).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Console-based controlled CLI is enabled.

Implements vmware::appliance::access::Consolecli.

global::System.Threading.Tasks.Task<bool> vmware::appliance::access::ConsolecliStub::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get enabled state of the console-based controlled CLI (TTY1).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Console-based controlled CLI is enabled.

Implements vmware::appliance::access::Consolecli.

global::System.Threading.Tasks.Task<bool> vmware::appliance::access::ConsolecliStub::GetAsync | ( |  | ) | `[inline]`

Get enabled state of the console-based controlled CLI (TTY1).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Console-based controlled CLI is enabled.

Implements vmware::appliance::access::Consolecli.

void vmware::appliance::access::ConsolecliStub::Set | ( | bool | enabled,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set enabled state of the console-based controlled CLI (TTY1).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  enabled | Console-based controlled CLI is enabled.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::access::Consolecli.

void vmware::appliance::access::ConsolecliStub::Set | ( | bool | enabled | ) | `[inline]`

Set enabled state of the console-based controlled CLI (TTY1).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  enabled | Console-based controlled CLI is enabled.

Implements vmware::appliance::access::Consolecli.

global::System.Threading.Tasks.Task vmware::appliance::access::ConsolecliStub::SetAsync | ( | bool | enabled | ) | `[inline]`

Set enabled state of the console-based controlled CLI (TTY1).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  enabled | Console-based controlled CLI is enabled.

Implements vmware::appliance::access::Consolecli.

global::System.Threading.Tasks.Task vmware::appliance::access::ConsolecliStub::SetAsync | ( | bool | enabled,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set enabled state of the console-based controlled CLI (TTY1).

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  enabled | Console-based controlled CLI is enabled.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::access::Consolecli.

The documentation for this class was generated from the following file:

- ConsolecliStub.cs